Bug 473456 - Denials while booting. Prevents correct initialization unless selinux=0
Denials while booting. Prevents correct initialization unless selinux=0
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 11:04 EST by Joel Andres Granados
Modified: 2008-12-08 16:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 16:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages. (45.39 KB, text/plain)
2008-11-28 11:06 EST, Joel Andres Granados
no flags Details

  None (edit)
Description Joel Andres Granados 2008-11-28 11:04:35 EST
Description of problem:
Did a F10 installation today.
I only install /, I don't install home/ nor boot/.  And home/ and boot/ where created with F9.  When I boot after installation I get a bunch of AVC denied (I'll past dmesg)  and the machine does not boot.  when I turn off selinux it allows the machine to boot, but the avc denials are still there.

Version-Release number of selected component (if applicable):
selinux-policy-3.5.13-18.fc10.noarch

How reproducible:
Every time I boot with enforcing=1

Steps to Reproduce:
1. On my system it happens after install.
2.
3.
  
Actual results:
System that is not bootable.

Expected results:
No denials at boot time.

Additional info:
Comment 1 Joel Andres Granados 2008-11-28 11:06:01 EST
Created attachment 325022 [details]
boot messages.

most of the denials are restorecon and two are login.
Comment 2 Daniel Walsh 2008-12-01 15:32:33 EST
Could you try a relabel in permissive mode.

enforcing=0 on kernel line

touch /.autorelabel; reboot
Comment 3 Joel Andres Granados 2008-12-02 07:29:42 EST
yep.  this did the trick  It actually relabeled outmatically after the first reboot.  I forgot about the bug though.

Not sure if this should be closed though.  It should not give any AVC denials at first reboot.  Will leave it open at your discretion
Comment 4 Daniel Walsh 2008-12-02 11:45:05 EST
Yes the strange thing was that the /etc/selinux directory was all mislabeled.  Not sure what went wrong during the install.

Note You need to log in before you can comment on or make changes to this bug.